var windows = {}

function windowsOnCreated(window) {
	windows[window.id] = true
	console.log("windowsOnCreated", windows)
}

function windowsOnRemoved(windowId) {
	browser.notifications.create(
		"test",
		{
			type: "basic",
			title: "Window closed",
			message: windowId.toString(),
		}
	)
	delete windows[windowId]
	if (Object.keys(windows).length==0) {
		// do something
	}
	console.log("windowsOnRemoved", windows)
}

browser.windows.getAll({ windowTypes: ["normal", "popup", "panel", "devtools"] })
.then(windowInfoArray => {
	for (const window of windowInfoArray) {
		windows[window.id] = true
	}
	console.log(windows)
})

browser.windows.onCreated.addListener(windowsOnCreated)
browser.windows.onRemoved.addListener(windowsOnRemoved)
